Modify

Opened 7 years ago

Closed 3 years ago

#8651 closed defect (moved_to_github)

expat-2.0.2 fails to build with libtool-2.4

Reported by: jw@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: expat libtool Cc: jw@…

Description

After an svn up, my openwrt trunk fails to build package/expat:
## ./libtool: line 477: CDPATH: command not found
## libtool: Version mismatch error. This is libtool 2.4, but the
## libtool: definition of this LT_INIT comes from an older release.
## libtool: You should recreate aclocal.m4 with macros from libtool 2.4

As a workaround, I hacked the package/expat/Makefile to say this:

define Build/Configure

# they symlink ltmain.sh from libtool. We should also
# get the libtool.m4 from there and use it.
cp $(PKG_BUILD_DIR)/../libtool-2.4/libltdl/m4/libtool.m4 $(PKG_BUILD_DIR)/conftools
cd $(PKG_BUILD_DIR) && autoreconf -i
$(call Build/Configure/Default)

endef

Attachments (1)

001-libtool.patch (258 bytes) - added by openwrt@… 7 years ago.
Patch to fix the libtool-2.4 problem

Download all attachments as: .zip

Change History (3)

Changed 7 years ago by openwrt@…

Patch to fix the libtool-2.4 problem

comment:1 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:2 Changed 3 years ago by nbd

  • Resolution set to moved_to_github
  • Status changed from new to closed

expat is maintained here: https://github.com/openwrt/packages

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.